- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Macros | Typedefs | Enumerations | Functions
manageable.hpp File Reference
`#include <memory>`
`#include <algorithm>`
`#include <boost/function.hpp>`
`#include <qi/stats.hpp>`
`#include <qi/api.hpp>`
`#include <qi/anyfunction.hpp>`
`#include <qi/type/typeobject.hpp>`
`#include <qi/signal.hpp>`

Go to the source code of this file.

## Classes
class | qi::EventTrace
class | qi::Manageable

## Namespaces
| qi
| Deprecated in 2.5. Use int8_t from <cstdint>.

## Macros
#define | _QITYPE_MANAGEABLE_HPP_

## Typedefs
using | qi::ObjectStatistics = std::map< unsigned int, MethodStatistics >

## Enumerations
enum | qi::ObjectThreadingModel { qi::ObjectThreadingModel_SingleThread = 0, qi::ObjectThreadingModel_MultiThread = 1, qi::ObjectThreadingModel_Default = ObjectThreadingModel_SingleThread }
| Possible thread models for an object. More...

## Functions
| QI_TYPE_STRUCT_AGREGATE_CONSTRUCTOR (qi::MinMaxSum,("minValue", minValue),("maxValue", maxValue),("cumulatedValue", cumulatedValue))
| QI_TYPE_STRUCT_AGREGATE_CONSTRUCTOR (qi::MethodStatistics,("count", count),("wall", wall),("user", user),("system", system))
| QI_TYPE_STRUCT_AGREGATE_CONSTRUCTOR (qi::EventTrace,("id", id),("kind", kind),("slotId", slotId),("arguments", arguments),("timestamp", timestamp),("userUsTime", userUsTime),("systemUsTime", systemUsTime),("callerContext", callerContext),("calleeContext", calleeContext))
| QI_TYPE_STRUCT (qi::os::timeval, tv_sec, tv_usec)
| QI_TYPE_ENUM (qi::EventTrace::EventKind)

## Macro Definition Documentation

#define _QITYPE_MANAGEABLE_HPP_

Definition at line 8 of file manageable.hpp.

## Function Documentation

QI_TYPE_ENUM | ( | qi::EventTrace::EventKind |  | ) |

QI_TYPE_STRUCT | ( | qi::os::timeval | ,
|  | tv_sec | ,
|  | tv_usec |
| ) |  |

QI_TYPE_STRUCT_AGREGATE_CONSTRUCTOR | ( | qi::MinMaxSum | ,
|  | ("minValue", minValue) | ,
|  | ("maxValue", maxValue) | ,
|  | ("cumulatedValue", cumulatedValue) |
| ) |  |

QI_TYPE_STRUCT_AGREGATE_CONSTRUCTOR | ( | qi::MethodStatistics | ,
|  | ("count", count) | ,
|  | ("wall", wall) | ,
|  | ("user", user) | ,
|  | ("system", system) |
| ) |  |

QI_TYPE_STRUCT_AGREGATE_CONSTRUCTOR | ( | qi::EventTrace | ,
|  | ("id", id) | ,
|  | ("kind", kind) | ,
|  | ("slotId", slotId) | ,
|  | ("arguments", arguments) | ,
|  | ("timestamp", timestamp) | ,
|  | ("userUsTime", userUsTime) | ,
|  | ("systemUsTime", systemUsTime) | ,
|  | ("callerContext", callerContext) | ,
|  | ("calleeContext", calleeContext) |
| ) |  |